Bug 449720 - request for new functionality to create table of contents for sections
request for new functionality to create table of contents for sections
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Jeff Fearn
Michael Hideo
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-03 00:36 EDT by Bawany Satgunanathan
Modified: 2010-11-23 22:59 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.34
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-11 00:37:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bawany Satgunanathan 2008-06-03 00:36:41 EDT
Description of problem:
Currently, a section does not have a table-of-contents. It would be great, in
the case of large sections with multiple subsections to have a table of contents
in the beginning of the section. Ideally, if it can match the TOC displayed for
a chapter, that would be good. 

Version-Release number of selected component (if applicable):
publican-0.33-0.el5
Comment 1 Jared Smith 2008-06-03 00:48:33 EDT
Should be fairly easy to do by overriding the generate.toc attribute.  See
http://sagehill.net/docbookxsl/TOCcontrol.html for more information.
Comment 2 Jeff Fearn 2008-06-11 00:37:39 EDT
Added GENERATE_SECTION_TOC_LEVEL to allow section level TOC control. Defaults to
0 (zero) same behavior as current output.

Note You need to log in before you can comment on or make changes to this bug.